CVE-2016-2148

Priority
Description
Heap-based buffer overflow in the DHCP client (udhcpc) in BusyBox before
1.25.0 allows remote attackers to have unspecified impact via vectors
involving OPTION_6RD parsing.
Assigned-to
mdeslaur
Notes
Package
Upstream:released (1:1.27.2-1)
Ubuntu 12.04 ESM (Precise Pangolin):not-affected (6RD code not present)
Ubuntu 14.04 ESM (Trusty Tahr):released (1:1.21.0-1ubuntu1.4)
Ubuntu 16.04 LTS (Xenial Xerus):released (1:1.22.0-15ubuntu1.4)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (1:1.27.2-1ubuntu3)
Ubuntu 19.04 (Disco Dingo):not-affected (1:1.27.2-1ubuntu3)
Patches:
Upstream:https://git.busybox.net/busybox/commit/?id=352f79acbd759c14399e39baef21fc4ffe180ac2
Binaries built from this source package are in universe and so are supported by the community. For more details see https://wiki.ubuntu.com/SecurityTeam/FAQ#Official_Support
More Information

Updated: 2019-12-05 18:44:25 UTC (commit dd38ff22974aae499eb50644b9d5a2817483cbdb)